Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: "/usr/lib/cups/filter/pdftops failed" from webbrowser

  1. #1

    Default "/usr/lib/cups/filter/pdftops failed" from webbrowser

    I've opensuse version 12.2, and after latest apper cups pushed update to version cups 1.5.3-2.4.1 printing to printer from firefox 17.0 , crome 22.0.1229.94, or konqueror 4.8.4 rel-2, results in "/usr/lib/cups/filter/pdftops failed"
    I can print to file .pdf or ps OK,
    Print to printer from libre office, even M$ office on wine, also Adobe pdf viewer or Okular just fine. I've tried almost all available printer drivers for my HP990c and the results are the same.
    I just can't print to printer from web browser!

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    9,592

    Default Re: "/usr/lib/cups/filter/pdftops failed" from webbrowser

    Quote Originally Posted by uberlinuxuser View Post
    I've opensuse version 12.2, and after latest apper cups pushed update to version cups 1.5.3-2.4.1 printing to printer from firefox 17.0 , crome 22.0.1229.94, or konqueror 4.8.4 rel-2, results in "/usr/lib/cups/filter/pdftops failed"
    I can print to file .pdf or ps OK,
    Print to printer from libre office, even M$ office on wine, also Adobe pdf viewer or Okular just fine. I've tried almost all available printer drivers for my HP990c and the results are the same.
    I just can't print to printer from web browser!
    Hmmm...I'm experiencing the same regression. FWIW, your symptoms are the same as reported here:

    https://forums.opensuse.org/english/...lp-please.html

  3. #3
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    9,592

    Default Re: "/usr/lib/cups/filter/pdftops failed" from webbrowser

    If I print to file (as postcript), then print the generated mozilla.ps file with
    Code:
    lpr mozilla.ps
    the page prints properly.

  4. #4
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    9,592

    Default Re: "/usr/lib/cups/filter/pdftops failed" from webbrowser

    I've rolled back to cups-1.5.3-2.1.5 and can confirm all is now working as expected again.

  5. #5

    Default Re: "/usr/lib/cups/filter/pdftops failed" from webbrowser

    FWIW, I've also rolled back to cups-1.5.3-2.1.5 and "fixed" the issue.
    Geeeeze I hate it when an "update" breaks things.

  6. #6
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    9,592

    Default Re: "/usr/lib/cups/filter/pdftops failed" from webbrowser

    Quote Originally Posted by uberlinuxuser View Post
    FWIW, I've also rolled back to cups-1.5.3-2.1.5 and "fixed" the issue.
    Geeeeze I hate it when an "update" breaks things.
    Here's a bug report discussing it:
    https://bugzilla.novell.com/show_bug.cgi?id=795582

    Hopefully, we'll see an update for poppler packages soon....

  7. #7

    Default Re: "/usr/lib/cups/filter/pdftops failed" from webbrowser

    Quote Originally Posted by deano_ferrari View Post
    Here's a bug report discussing it:
    https://bugzilla.novell.com/show_bug.cgi?id=795582

    Hopefully, we'll see an update for poppler packages soon....
    Hi,
    I saw an update for poppler a while ago in openSUSE 12.2
    I haven't touch it yet, can that be the one?
    People who do not break things first will never learn to create anything

  8. #8
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    9,592

    Default Re: "/usr/lib/cups/filter/pdftops failed" from webbrowser

    Quote Originally Posted by conram View Post
    Hi,
    I saw an update for poppler a while ago in openSUSE 12.2
    I haven't touch it yet, can that be the one?
    No, updates currently has 0.20.0-2.5.1 (although more recent versions are available via the build service).

  9. #9
    dd NNTP User

    Default Re: "/usr/lib/cups/filter/pdftops failed" from webbrowser

    On 12/23/2012 01:56 AM, uberlinuxuser wrote:
    > Geeeeze I hate it when an "update" breaks things.


    then, do what i do: do not use apper (because it will run in
    intermediate 'fixes' that are not security patches or BIG bugs) and do
    not use "zypper up" because that is the same as using apper..

    instead use YaST Online Update or "zypper patch" which will _only_
    deliver security patches and BIG updates (like when mozilla no longer
    supports a firefox/thunderbird, and moves to a newer version)...but it
    won't run in every little new bell or whistle someone thinks is
    'neat'....so, you get FAR less "update breaks things!

    fact is, i can't remember the last time i _had_ to roll back to get back
    to work.

    you _can_ have it the way you want it:

    a. cutting edge
    OR
    b. stable, dependable, reliable

    it is one OR the other...

    to get 'a' use apper (and more, like add KDE 49 repo and 'switch vendor')

    to get 'b' use "zypper patch" or YaST Online Update.

    --
    dd
    http://tinyurl.com/DD-Caveat http://tinyurl.com/DD-Hardware
    http://tinyurl.com/DD-Software

  10. #10
    Join Date
    Sep 2012
    Location
    Germany
    Posts
    255

    Default AW: "/usr/lib/cups/filter/pdftops failed" from webbrowser

    Bug fixed. Todays update installs new poppler packages that work with cups-1.5.3-2.4.1.
    zypp it...

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •